# class KAboutKDE | Standard "About KDE" dialog box,. More...
Definition | `#include <kaboutkde.h>`
Inherits | KAboutDialog [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAboutKDE ( QWidget *parent=0, const char *name=0, bool modal=true )

## Detailed Description

This class provides the standard "About KDE" dialog box that is used KHelpMenu Normally you should not use this class directly but rather the KHelpMenu class or even better just subclass your toplevel window from KMainWindow. If you do the latter, the help menu and thereby this dialog box is available through the KMainWindow::helpMenu() function.

KAboutKDE ( QWidget *parent=0, const char *name=0, bool modal=true ) | ### KAboutKDE

Constructor. Creates a fully featured "About KDE" dialog box. Note that this dialog is made modeless in the KHelpMenu class so the users may expect a modeless dialog.

Parameters:

parent | The parent of the dialog box. You should use the toplevel window so that the dialog becomes centered.
name | Internal name of the widget. This name in not used in the caption.
modal | If false, this widget will be modeless and must be made visible using QWidget::show(). Otherwise it will be modal and must be made visible using QWidget::exec()

- Version: $Id:
- Author: Espen Sand (espen@kde.org)
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.